Subject: Re: [RFC net-next 1/3] netdev: add per-queue statistics

From: Jakub Kicinski <[email-masked]>
Date: Fri, 23 Feb 2024 16:13:22 -0800

On Fri, 23 Feb 2024 12:51:51 -0800 Nambiar, Amritha wrote:
> So I understand splitting a netdev object into component queues, but do 
> you have anything in mind WRT to splitting a queue, what could be the 
> components for a queue object?

HW vs SW stats was something that come to mind when I was writing 
the code. More speculatively speaking - there could also be queues
fed from multiple buffer pool, so split per buffer pool could maybe
one day make some sense?